GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

        • Login

        • Logout

        • Manage Token

        • Register

        • User information

        • Account Binding

        • MFA Factor Management

        • User-related resources

        • Message service

        • Authentication

        • Others

          • Get server public information
          • Get country list
        • OIDC module
        • OAuth module
        • SAML module
        • CAS module
        • Events
      • Management module

    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. User authentication module

  8. /
  9. Others

  10. /
  11. Get server public information

¶ Get server public information

Update time: 2025-07-23 07:34:21
Edit

The endpoint can get the server's public information, such as RSA256 public key, SM2 public key, GenAuth service version number, etc.

¶ Method Name

AuthenticationClient.getSystemInfo

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value

¶ Request Response

Type: SystemInfoResp

NameTypeDescription
rsaSystmeInfoRSAConfigRSA256 encryption configuration information
sm2SystmeInfoSM2ConfigNational SM2 encryption configuration information
versionSystmeInfoVersionNational SM2 encryption configuration information
publicIpsarrayGenAuth service external IP list

Example Results:

{
  "rsa": {
    "publicKey": "xxxxxxxxxxxxxxxxxxxxxx"
  },
  "sm2": {
    "publicKey": "xxxxxxxxxxxxxxxxxxxxxx"
  },
  "version": {
    "server": "2.0.0",
    "console": "2.0.0",
    "login": "2.0.0"
  }
}

¶ Data Structure

¶ SystmeInfoRSAConfig

NameType
Is it required
Description
Example Value
publicKeystringYesRSA256 public keyxxxxxxxxxxxxxxxxxxxxxx

¶ SystmeInfoSM2Config

NameType
Is it required
Description
Example Value
publicKeystringYesSM2 public keyxxxxxxxxxxxxxxxxxxxxxx

¶ SystmeInfoVersion

NameType
Is it required
Description
Example Value
serverstringyesGenAuth core service version number2.0.0
consolestringyesGenAuth console version number2.0.0
loginstringyesGenAuth hosted login page version number2.0.0
Previous article: Get the structure list of authorized resources under the user login application Next article: Get country list
  • Method Name
  • Request Parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.